Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.servlet
Class ServletConfigFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.blojsom.servlet.ServletConfigFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

public class ServletConfigFactoryBean
extends org.springframework.beans.factory.config.AbstractFactoryBean

Factory bean to return an instance of a `ServletConfig` object

Since:
  blojsom 3.0
Version:
  $Id: ServletConfigFactoryBean.java,v 1.1 2006/03/20 21:31:17 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`ServletConfigFactoryBean()`

Method Summary
`protected java.lang.Object` | `createInstance()` Return an instance of the `ServletConfig` object
`java.lang.Class` | `getObjectType()` Returns `ServletConfig.class`
`static void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Static method to set the servlet config instance
`protected void` | `verifyState()` Verify that the `ServletConfig` instance has been set on this bean

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getObject, isSingleton, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletConfigFactoryBean

    public ServletConfigFactoryBean()

Method Detail

### createInstance

    protected final java.lang.Object createInstance()
                                             throws java.lang.Exception

  Return an instance of the `ServletConfig` object

  Returns:
    `ServletConfig`
  Throws:
    `java.lang.Exception` - If the servlet config has not been set on this factory bean

### getObjectType

    public final java.lang.Class getObjectType()

  Returns `ServletConfig.class`

  Returns:
    `ServletConfig.class`

### setServletConfig

    public static void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Static method to set the servlet config instance

  Parameters:
    `servletConfig` - `ServletConfig` instance

### verifyState

    protected final void verifyState()
                              throws java.lang.IllegalStateException

  Verify that the `ServletConfig` instance has been set on this bean

  Throws:
    `java.lang.IllegalStateException` - If the `ServletConfig` instance has not been set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD